
Redmine - Defect #18756

Since I installed scrum plugin, I cann't acess any redmine pages, the bowser showed "Internal error"

2015-01-06 01:39 - Lin Ye

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.0

Description

the bowser showed :

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

 Current configuration:

Gem list:

LOCAL GEMS ***

 
aasm (4.0.8)

actionmailer (4.2.0, 3.2.21)

actionpack (4.2.0, 3.2.21)

actionview (4.2.0)

activejob (4.2.0)

activemodel (4.2.0, 3.2.21)

activerecord (4.2.0, 3.2.21)

activeresource (3.2.21)

activesupport (4.2.0, 3.2.21)

arel (6.0.0, 3.0.3)

bigdecimal (1.2.0)

block_helpers (0.3.3)

bourbon (4.1.0)

builder (3.2.2, 3.0.4)

bundler (1.7.10, 1.3.1)

capybara (2.1.0)

childprocess (0.5.5)

coderay (1.1.0)

database_cleaner (1.4.0)

diff-lcs (1.2.5)

dispatcher (0.0.1)

erubis (2.7.0)

faker (1.4.3)

faraday (0.8.9)

faraday_middleware (0.9.1)

ffi (1.9.6)

fuubar (2.0.0)

globalid (0.3.0)

hashie (1.2.0)

headless (1.0.2)

highline (1.6.21)

hike (1.2.3)

hoe (3.13.0)

i18n (0.7.0)

inifile (3.0.0)
io-console (0.4.2)

journey (1.0.4)

jquery-rails (3.1.2)

json (1.8.1, 1.7.7)

loofah (2.0.1)

mail (2.6.3, 2.5.4)

metaclass (0.0.4)

method_source (0.8.2)

mime-types (2.4.3, 1.25.1)

mini_portile (0.6.2)

minitest (5.5.0)

mocha (1.0.0)

multi_json (1.10.1)

multipart-post (1.2.0)

mysql2 (0.3.17)

net-http-persistent (2.8)

net-ldap (0.3.1)

nokogiri (1.6.5)

polyglot (0.3.5)

power_assert (0.2.2)

pry (0.10.1)

pry-nav (0.2.4)

psych (2.0.0)

rack (1.6.0, 1.4.5)

rack-cache (1.2)

rack-openid (1.4.2)

rack-ssl (1.3.4)

rack-test (0.6.2)

rails (4.2.0, 3.2.21)

rails-deprecated_sanitizer (1.0.3)

rails-dom-testing (1.0.5)

rails-html-sanitizer (1.0.1)

railties (4.2.0, 3.2.21)

rake (10.4.2)

rake-compiler (0.9.4)

rakegen (0.6.6)

rbpdf (1.18.4)

rdoc (4.2.0, 4.0.0, 3.12.2)

redcarpet (2.3.0)

request_store (1.0.5)

rmagick (2.13.4)

rspec (3.1.0)

rspec-core (3.1.7)

rspec-expectations (3.1.2)

rspec-mocks (3.1.3)

rspec-rails (3.1.0)

rspec-support (3.1.2)

ruby-hmac (0.4.0)

ruby-openid (2.3.0)

ruby-progressbar (1.7.1)

rubygems-update (2.4.5)

rubyzip (1.1.6)

sass (3.4.9)

selenium-webdriver (2.44.0)

shoulda (3.3.2)

shoulda-context (1.0.2)

shoulda-matchers (1.4.1)

slim (3.0.1)

slop (3.6.0)

sprockets (2.12.3, 2.2.3)

sprockets-rails (2.2.2)

temple (0.7.4)

test-unit (3.0.9)

thor (0.19.1, 0.17.0)

thread_safe (0.3.4)

tilt (1.4.1)

transifex-ruby-fork-jg (0.1.0)
treetop (1.4.15)

tzinfo (1.2.2, 0.3.42)

webrat (0.7.3)

websocket (1.2.1)

xpath (2.0.0)

yard (0.8.7.6)

Environment

ruby 2.0.0p353 (2013-11-22) [x86_64-linux]

Rails 3.2.21

Redmine 2.6

 plugins:

clipboard_image_paste

redmine_close_button

redmine_code_review

redmine_dashboard

redmine_lightbox2

scrum

 Log

Connecting to database specified by database.yml

Creating scope :sorted. Overwriting existing method User.sorted.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :system. Overwriting existing method Enumeration.system.

Started GET "/" for 192.168.233.1 at 2015-01-06 07:55:26 +0800

Processing by WelcomeController#index as HTML

  Current user: yourlin (id=5)

  Rendered news/_news.html.erb (25.3ms)

  Rendered welcome/index.html.erb within layouts/base (87.2ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.7ms)

Missing template, responding with 404

  Rendered common/error.html.erb within layouts/base (0.7ms)

  Rendered plugins/redmine_code_review/app/views/code_review/_html_header.html.erb (0.0ms)

Completed 500 Internal Server Error in 404.7ms

  * "/opt/redmine/plugins/redmine_lightbox2/app/views" 

  * "/opt/redmine/plugins/redmine_dashboard/app/views" 

  * "/opt/redmine/plugins/redmine_code_review/app/views" 

  * "/opt/redmine/plugins/redmine_close_button/app/views" 

  * "/opt/redmine/plugins/clipboard_image_paste/app/views" 

  * "/opt/redmine/app/views" 

):

    11: <%= stylesheet_link_tag 'rtl', :media => 'all' if l(:direction) == 'rtl' %>

    12: <%= javascript_heads %>

    13: <%= heads_for_theme %>

    14: <%= call_hook :view_layouts_base_html_head %>

    15: <!-- page specific tags -->

    16: <%= yield :header_tags -%>

    17: </head>

  lib/redmine/hook.rb:111:in `block in render_on'

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/views/layouts/base.html.erb:14:in `_app_views_layouts_base_html_erb__332707264179082700_3892

2380'

  app/controllers/application_controller.rb:466:in `block (2 levels) in render_error'

  app/controllers/application_controller.rb:464:in `render_error'

  app/controllers/application_controller.rb:452:in `render_404'
  app/controllers/application_controller.rb:476:in `missing_template'

History

#1 - 2015-01-06 03:37 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

#2 - 2015-12-27 19:50 - jojo brown

Hi

I have the same error;

did you solved it?

thx
